Subject: Re: [manet] DLEP DT summary

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 3 Mar 2014 12:48:03 +0100

Hi Chris,

I did not want to join the DT, and still not getting their report, but
I want to discuss within WG list. I beleive editors should follow the
WG participants text amending, and follow consensus. I look forward to
comment on the DLEP on the list and in this meeting. Comments below,

Regards
AB

On 11/12/13, Dearlove, Christopher (UK) <[email-masked]> wrote:
> Wrong I'm afraid, both procedurally and practically. WGs can't write
> documents, that just isn't a viable approach. Documents are written by
> authors, or sometimes editors. The WG can reject a document. But that's not
> the same as writing one.
>

I meant to say that DLEP draft is changing from using UDP to use TCP
without enough discussion on the WG list or final consensus. If
editors make the change in the draft which they already did, that will
affect the fairness of the final consensus and also the WG
discussions.

I feel now after the editors have made their decisions with the DT,
now I am forced to not discuss, or I am forced to be in a discouraged
position. It seems now it is better for me to leave the flow go into
DT decisions, and hopefully not all drafts take the same direction in
future,

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Abdussalam Baryun
> Sent: 12 November 2013 16:30
> To: Dowdell, John
> Cc: [email-masked]
> Subject: Re: [manet] DLEP DT summary
>
> Hi John
>
> I have been very interested and was regular posting and reviewing the work
> but should not be excluded (there are others ). However, I thank you and the
> members of DT for your contributions, and always want to speed the process
> for DLEP but with best practices and awareness. In the last two meeting
> there were comments from the community that the DT should follow. The WG did
> not decide to give its job to the DT.
>
> I don't agree that the DT makes changes to the DLEP draft, the DT should
> report its recommendations to this list, so the WG decides and discusses
> what to do.
>
> AB
>

> On Tuesday, November 12, 2013, Dowdell, John wrote:
> For the avoidance of doubt, please understand that I asked for an informal
> meeting at Berlin IETF that half way through became the Design Team. The
> meeting attendees were drawn from those who had regularly posted on DLEP
> since the 00 draft, and therefore were deemed to be most interested in
> getting to an RFC, as I was. Kindly lay off the lead author of DLEP.

I am also, but big changes like using TCP need consensus, now with
draft changed I feel I have no interest in giving even a humm voice.

>
> In the meantime, if anyone else is actively developing with DLEP (router or
> modem side) and is willing to directly contribute to the speedy and
> successful development of the draft, please post on the manet list and we
> will be in touch. One person joined the team since the first meeting in
> Berlin.

I did not join the team, because I think it is with enough capacity,
and if me and other join it will become another MANET WG list.

>
> For timescales and upcoming work, please listen to the DLEP presentation in
> the early part of the manet WG meeting at Vancouver.
>

I agree that all to listen to each other, so community listen and then
the community to be listened to as well,

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Mon, 3 Mar 2014 13:08:48 +0000

> affect the fairness of the final consensus and also the WG

I changed DLEP 05 to use TCP because the people on the design team wanted TCP. I appreciate that you have expressed dissent. But so far, your dissent is only one I've seen. If there are other working group participants that believe moving to TCP is a bad thing, I hope they will express that view here on the list. Otherwise, it looks like you are "in the rough" on this one. 

Heck, I'd even change the transport to IPX if it would help get DLEP to ratification. When we (the co-authors) first floated this draft, we were under the (obviously naive) impression that DLEP would be a "project". I'm not sure how, or why, it has morphed into a "career path". *Sigh*… That said, i'd really like to get this draft to WGLC before my grandchildren have grandchildren...

Regards,
Stan

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 3 Mar 2014 15:21:47 +0100

Hi Stan,

Thanks for you email, i want this draft to go ahead to WGLC with 04 draft,
the 05 had not change only few word, but big changing of performance.

 I don't totally disagree with the authors because I see they are doing big
effort to make the draft go forward which I agree and understand. However,
I will prepare my comments with good reason why not TCP and there were
inputs from WG before questioning and don't think the discussion ended.

I think the reasons for going to TCP was not enough but the authors chosen
before UDP and WG adopted that. I will prepare why not TCP, but I think DT
should answer in its report first why not UDP then why TCP is with better
performance. The only reason I notice from DT was design issues.

@DT
Please report : why not UDP in performance of DLEP as comparing TCP and UDP
when using DLEP performance. I understand design purposes but would think
of DLEP overall performance as well.

AB

On Monday, March 3, 2014, Stan Ratliff (sratliff) wrote:

>
> On Mar 3, 2014, at 6:48 AM, Abdussalam Baryun <[email-masked]<javascript:;>>
> wrote:
>
> > Hi Chris,
> >
> > On 11/12/13, Dearlove, Christopher (UK) <[email-masked]<javascript:;>>
> wrote:
> I changed DLEP 05 to use TCP because the people on the design team wanted
> TCP. I appreciate that you have expressed dissent. But so far, your dissent
> is only one I've seen. If there are other working group participants that
> believe moving to TCP is a bad thing, I hope they will express that view
> here on the list. Otherwise, it looks like you are "in the rough" on this
> one.
>
> Heck, I'd even change the transport to IPX if it would help get DLEP to
> ratification. When we (the co-authors) first floated this draft, we were
> under the (obviously naive) impression that DLEP would be a "project". I'm
> not sure how, or why, it has morphed into a "career path". *Sigh*... That
> said, i'd really like to get this draft to WGLC before my grandchildren
> have grandchildren...
>
> Regards,
> Stan
>
>
> >
> >> From: [email-masked] <javascript:;> [mailto:
> [email-masked] <javascript:;>] On Behalf Of
> >> Abdussalam Baryun
> >> Cc: [email-masked] <javascript:;>
> > [email-masked] <javascript:;>

---

From: Henning Rogge <[email-masked]>
Date: Mon, 3 Mar 2014 14:30:21 +0000

The reason for TCP instead of UDP is very simple.

The WG decided quite some time ago that we follow a "stateful DLEP" approach.

DLEP contains ACK messages, which means that you have three options:

1) You can implement DLEP as "stop and wait", which means a sender can
only a single packet that has to be acknowledged and then waits for
the ACK before sending another one.

2) You can implement a whole bunch of "sequence number", "sliding
window" and "ack/retransmission" mechanisms. In fact this is a step
towards reinventing the wheel depending how clever you want to do
this.

3) You can switch to a reliable transport protocol.

We decided to use option 3) for DLEP-05 because its the easiest to
implement and does not kill performance like a "stop and wait"
strategy.

Henning Rogge

On Mon, Mar 3, 2014 at 2:21 PM, Abdussalam Baryun
<[email-masked]> wrote:
> effort to make the draft go forward which I agree and understand. However, I
> will prepare my comments with good reason why not TCP and there were inputs
> from WG before questioning and don't think the discussion ended.
>
> when using DLEP performance. I understand design purposes but would think of
> DLEP overall performance as well.
>
> AB
>
>
>> said, i'd really like to get this draft to WGLC before my grandchildren have
>> grandchildren...
>>
>> Regards,
>> Stan
>>
>>
>> >

---

From: <[email-masked]>
Date: Mon, 3 Mar 2014 23:06:18 +0000

> When we (the co-authors) first floated this draft, we were under the (obviously naive) impression
> that DLEP would be a "project". I'm not sure how, or why, it has morphed into a "career path".
> *Sigh*… That said, i'd really like to get this draft to WGLC before my grandchildren have grandchildren...

I honestly can't see that happening.

Lloyd Wood
http://sat-net.com/L.Wood/router-modem-integration/
________________________________________
From: manet [[email-masked]] On Behalf Of Stan Ratliff (sratliff) [[email-masked]]
Sent: 03 March 2014 13:08
To: Abdussalam Baryun
Cc: Dearlove, Christopher (UK); [email-masked]; Dowdell, John
Subject: Re: [manet] DLEP DT summary

Regards,
Stan